from appPublic.registerfunction import RegisterFunction
from appPublic.dictObject import DictObject
from appPublic.log import debug, exception, error
from ahserver.serverenv import ServerEnv
from accounting.accounting_config import Accounting
from accounting.bill import write_bill
from accounting.openaccount import openOwnerAccounts, openProviderAccounts, openResellerAccounts, openCustomerAccounts
from getaccount import getAccountBalance, getCustomerBalance

def load_accounting():
	g = ServerEnv()
	g.Accounting = Accounting
	g.write_bill = write_bill
	g.openOwnerAccounts = openOwnerAccounts
	g.openProviderAccounts = openProviderAccounts
	g.openResellerAccounts = openResellerAccounts
	g.openCustomerAccounts = openCustomerAccounts
	g.getAccountBalance = getAccountBalance
	g.getCustomerBalance = getCustomerBalance

