import json
import os
from time import time

from appPublic.worker import awaitify
from appPublic.jsonConfig import getConfig
from ahserver.serverenv import ServerEnv
from appPublic.registerfunction import RegisterFunction
from ahserver.webapp import webapp
from accounting.openaccount import openAllResellerAccounts
from accounting.openaccount import openAllCustomerAccounts
from accounting.openaccount import openAllProviderAccounts
from accounting.openaccount import openRetailRelationshipAccounts
from accounting.openaccount import openOwnerAccounts
from accounting.recharge import recharge_accounting
from accounting.getaccount import getAccountBalance, getCustomerBalance
from accounting.init import load_accounting

def get_db(module=''):
	return 'test'

def init_func():
	rf = RegisterFunction()
	rf.register('get_module_dbname', get_db)
	load_accounting()

if __name__ == '__main__':
	webapp(init_func)

